package com.steering.pss.sale.order.model;

/**
 * 数据库表CRAFT_ORD_DESIGN所对应的实体类（生成工具：代码生成器3.0）
 * @author Chenxi-PC2   date 2015-10-28
 */
@SuppressWarnings("serial")
public class CraftOrdDesignEntity implements java.io.Serializable {
    /**
     * ORD_LN_PK(ORD_PK+三位流失号)
     */
    private String ordLnPk = "";
    /**
     * 序号
     */
    private String craftSeq = "";
    /**
     * 工艺文件号
     */
    private String craftNo = "";
    /**
     * DESGIN_KEY
     */
    private String desginKey = "";
    /**
     * 0解锁状态， 1锁定状态
     */
    private String lockFlag = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";
    private String auditName = "";
	private String auditTime = "";
    private String approvalName = "";
    private String approvalTime = "";
    private String orderNo = "";
    private String craftName = "";
	private String craftId = "";
	private String reason = "";
	private String craftPath = "";
	private String craftNoV = "";
	private String craftSource = "";
	private String memo = "";
	private String auditName1 = "";
	private String auditTime1 = "";
    private String approvalName1 = "";
    private String approvalTime1 = "";
    private String craftFileLv2D = "";
	private String craftFileLv2DDesc = "";
    private String craftFileLv2E = "";
    private String craftFileLv2EDesc = "";
    private String craftFileLv2F = "";
    private String craftFileLv2FDesc = "";
    private String craftFileLv2G = "";
    private String craftFileLv2GDesc = "";
    private String craftFileLv2H = "";
    private String craftFileLv2HDesc = "";
    private String updateNameLv2 = "";
	private String updateTimeLv2 = "";
	private String craftChangeMemo = "";
	private String picFdCheck = "";
	private String cicFdCheck = "";
	private String wicFdCheck = "";
	private String otherEditName = "";
	

	/**
     * ORD_LN_PK(ORD_PK+三位流失号)
     * @return value
     */
    public String getOrdLnPk() {
        return ordLnPk;
    }

    /**
     * ORD_LN_PK(ORD_PK+三位流失号)
     * @param ordLnPk value
     */
    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }

    /**
     * 序号
     * @return value
     */
    public String getCraftSeq() {
        return craftSeq;
    }

    /**
     * 序号
     * @param craftSeq value
     */
    public void setCraftSeq(String craftSeq) {
        this.craftSeq = craftSeq;
    }

    /**
     * 工艺文件号
     * @return value
     */
    public String getCraftNo() {
        return craftNo;
    }

    /**
     * 工艺文件号
     * @param craftNo value
     */
    public void setCraftNo(String craftNo) {
        this.craftNo = craftNo;
    }

    /**
     * DESGIN_KEY
     * @return value
     */
    public String getDesginKey() {
        return desginKey;
    }

    /**
     * DESGIN_KEY
     * @param desginKey value
     */
    public void setDesginKey(String desginKey) {
        this.desginKey = desginKey;
    }

    /**
     * 0解锁状态， 1锁定状态
     * @return value
     */
    public String getLockFlag() {
        return lockFlag;
    }

    /**
     * 0解锁状态， 1锁定状态
     * @param lockFlag value
     */
    public void setLockFlag(String lockFlag) {
        this.lockFlag = lockFlag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }
    
    public String getAuditName() {
		return auditName;
	}

	public void setAuditName(String auditName) {
		this.auditName = auditName;
	}

	public String getAuditTime() {
		return auditTime;
	}

	public void setAuditTime(String auditTime) {
		this.auditTime = auditTime;
	}

	public String getApprovalName() {
		return approvalName;
	}

	public void setApprovalName(String approvalName) {
		this.approvalName = approvalName;
	}

	public String getApprovalTime() {
		return approvalTime;
	}

	public void setApprovalTime(String approvalTime) {
		this.approvalTime = approvalTime;
	}
	
	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	
	public String getCraftName() {
		return craftName;
	}

	public void setCraftName(String craftName) {
		this.craftName = craftName;
	}

	public String getCraftId() {
		return craftId;
	}

	public void setCraftId(String craftId) {
		this.craftId = craftId;
	}
	
	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}
	
	public String getCraftPath() {
		return craftPath;
	}

	public void setCraftPath(String craftPath) {
		this.craftPath = craftPath;
	}
	
	public String getCraftNoV() {
		return craftNoV;
	}

	public void setCraftNoV(String craftNoV) {
		this.craftNoV = craftNoV;
	}

	public String getCraftSource() {
		return craftSource;
	}

	public void setCraftSource(String craftSource) {
		this.craftSource = craftSource;
	}
	
	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}
	
	public String getAuditName1() {
		return auditName1;
	}

	public void setAuditName1(String auditName1) {
		this.auditName1 = auditName1;
	}

	public String getAuditTime1() {
		return auditTime1;
	}

	public void setAuditTime1(String auditTime1) {
		this.auditTime1 = auditTime1;
	}

	public String getApprovalName1() {
		return approvalName1;
	}

	public void setApprovalName1(String approvalName1) {
		this.approvalName1 = approvalName1;
	}

	public String getApprovalTime1() {
		return approvalTime1;
	}

	public void setApprovalTime1(String approvalTime1) {
		this.approvalTime1 = approvalTime1;
	}
	
	public String getCraftFileLv2D() {
		return craftFileLv2D;
	}

	public void setCraftFileLv2D(String craftFileLv2D) {
		this.craftFileLv2D = craftFileLv2D;
	}

	public String getCraftFileLv2DDesc() {
		return craftFileLv2DDesc;
	}

	public void setCraftFileLv2DDesc(String craftFileLv2DDesc) {
		this.craftFileLv2DDesc = craftFileLv2DDesc;
	}

	public String getCraftFileLv2E() {
		return craftFileLv2E;
	}

	public void setCraftFileLv2E(String craftFileLv2E) {
		this.craftFileLv2E = craftFileLv2E;
	}

	public String getCraftFileLv2EDesc() {
		return craftFileLv2EDesc;
	}

	public void setCraftFileLv2EDesc(String craftFileLv2EDesc) {
		this.craftFileLv2EDesc = craftFileLv2EDesc;
	}

	public String getCraftFileLv2F() {
		return craftFileLv2F;
	}

	public void setCraftFileLv2F(String craftFileLv2F) {
		this.craftFileLv2F = craftFileLv2F;
	}

	public String getCraftFileLv2FDesc() {
		return craftFileLv2FDesc;
	}

	public void setCraftFileLv2FDesc(String craftFileLv2FDesc) {
		this.craftFileLv2FDesc = craftFileLv2FDesc;
	}

	public String getCraftFileLv2G() {
		return craftFileLv2G;
	}

	public void setCraftFileLv2G(String craftFileLv2G) {
		this.craftFileLv2G = craftFileLv2G;
	}

	public String getCraftFileLv2GDesc() {
		return craftFileLv2GDesc;
	}

	public void setCraftFileLv2GDesc(String craftFileLv2GDesc) {
		this.craftFileLv2GDesc = craftFileLv2GDesc;
	}

	public String getCraftFileLv2H() {
		return craftFileLv2H;
	}

	public void setCraftFileLv2H(String craftFileLv2H) {
		this.craftFileLv2H = craftFileLv2H;
	}

	public String getCraftFileLv2HDesc() {
		return craftFileLv2HDesc;
	}

	public void setCraftFileLv2HDesc(String craftFileLv2HDesc) {
		this.craftFileLv2HDesc = craftFileLv2HDesc;
	}
	
	public String getUpdateNameLv2() {
		return updateNameLv2;
	}

	public void setUpdateNameLv2(String updateNameLv2) {
		this.updateNameLv2 = updateNameLv2;
	}

	public String getUpdateTimeLv2() {
		return updateTimeLv2;
	}

	public void setUpdateTimeLv2(String updateTimeLv2) {
		this.updateTimeLv2 = updateTimeLv2;
	}
	
	public String getCraftChangeMemo() {
		return craftChangeMemo;
	}

	public void setCraftChangeMemo(String craftChangeMemo) {
		this.craftChangeMemo = craftChangeMemo;
	}
	
	public String getPicFdCheck() {
		return picFdCheck;
	}

	public void setPicFdCheck(String picFdCheck) {
		this.picFdCheck = picFdCheck;
	}

	public String getCicFdCheck() {
		return cicFdCheck;
	}

	public void setCicFdCheck(String cicFdCheck) {
		this.cicFdCheck = cicFdCheck;
	}

	public String getWicFdCheck() {
		return wicFdCheck;
	}

	public void setWicFdCheck(String wicFdCheck) {
		this.wicFdCheck = wicFdCheck;
	}

	public String getOtherEditName() {
		return otherEditName;
	}

	public void setOtherEditName(String otherEditName) {
		this.otherEditName = otherEditName;
	}
}
